<form (ngSubmit)="onSignInSubmit()" #f="ngForm" class="form-horizontal">

  <div class="row">
    <div class="col-md-12">
      <div class="form-group">
        <label for="inputEmail" class="col-lg-2 control-label">Email</label>
        <div class="col-lg-10">
          <input id="email"
              type="email"
              required
              name='email' 
              [(ngModel)]="signInUser.email" 
              class="form-control validate">
        </div>
      </div>

      <div class="form-group">
        <label for="inputEmail" class="col-lg-2 control-label">Password</label>
        <div class="col-lg-10">
          <input id="password" 
              type="password" 
              required  
              name='password' 
              [(ngModel)]="signInUser.password" 
              class="form-control validate">
        
        </div>
      </div>

      <div class="col-md-12 ">
        <button type="submit" 
                [disabled]="!(f.valid)" 
                [ngClass]="{'disabled': !(f.valid)}" 
                class="btn btn-primary"
        > 
          Login </button>
      </div>
    </div>
  </div>

</form>